(load "crates-io.scm")
(define-module (meowy-webring)
  :use-module (crates-io)
  #:use-module (guix)
  #:use-module (guix build-system cargo)
  #:use-module (guix git-download)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (gnu packages)
  #:use-module (gnu packages crates-io)
  #:use-module (srfi srfi-1))

(define (keep-file? file stat)
  (or (git-predicate  (current-source-directory))
      (const #t)))


; temp package to debug build issues
(define-public proc-macros
  (package
    (name "proc-macros")
    (version "0.1.0-git")
    (source (local-file "../../crates/proc-macros" "proc-macros-checkout"
			#:recursive? #t
			#:select? keep-file?))
    (build-system cargo-build-system)
    (arguments (list #:cargo-inputs `(("rust-syn" ,rust-syn-2)
				      ("rust-quote" ,rust-quote-1))))
    (synopsis "")
    (description "")
    (home-page "")
    (license license:cc0)))

; temp package to debug build issues
(define-public meowy-assets
  (package
    (name "meowy-assets")
    (version "0.1.0-git")
    (source (local-file "../../crates/meowy-assets" "meowy-assets-checkout"
			#:recursive? #t
			#:select? keep-file?))
    (build-system cargo-build-system)
    (arguments (list #:cargo-inputs `(("proc-macros" ,proc-macros)
				      ("rust-askama-rocket" ,rust-askama-rocket-0.12)
				      ("rust-askama" ,rust-askama-0.12)
				      ("rust-embed" ,rust-embed-6)
				      ("rust-hex" ,rust-hex-0.4)
				      ("rust-rocket" ,rust-rocket-0.5))))
    (synopsis "")
    (description "")
    (home-page "")
    (license license:cc0)))

(define-public meowy-webring
  (package
    (name "meowy-webring")
    (version "0.1.0-git")
    (source (local-file "../.." "meowy-webring-checkout"
			#:recursive? #t
			#:select? keep-file?))
    (build-system cargo-build-system)
    (arguments (list #:cargo-inputs `(("rust-askama-rocket" ,rust-askama-rocket-0.12)
				      ("rust-askama" ,rust-askama-0.12)
				      ("rust-directories" ,rust-directories-5)
				      ("rust-embed" ,rust-embed-6)
				      ("rust-hex" ,rust-hex-0.4)
				      ("rust-notify" ,rust-notify-6)
				      ("rust-rocket" ,rust-rocket-0.5)
				      ("rust-serde" ,rust-serde-1)
				      ("rust-serde-json" ,rust-serde-json-1)
				      ("rust-simple-logger" ,rust-simple-logger-4))))
    (synopsis "")
    (description "")
    (home-page "")
    (license license:cc0)))

meowy-webring
